%%%%%%%% THIS FILE PRODUCES COLUMN 3 TABLE 3

close all;

var
 
    lh, lf, ch, cf, chh, chf, cfh, cff,
    
    gammah, gammaf, ToL, loph, lopf, yh, yf, ToT,

    Rh, Rf,  BIGgammaf, BIGgammah,  infh, inff,  infhh, infff,
    
    infhPOST, inffPOST, infhhPOST, infffPOST, ABCh, ABCf,

    BIGloph, ReR, change_ReR, change_ex_rate,
 
    ah, af, xh, xf;

varexo
 
    e_ah, e_af, e_xh, e_xf;

parameters

    Rh_ss, Rf_ss,  phi_inf, phi_y, infh_ss, yh_ss,  inff_ss, yf_ss,

    DRSh, DRSf,  sig, omega, v,  ups,  phih, phif,  beta,    

    nuf, nuh, zf, zh,  taulh, taulf, tauch, taucf, wedgeh, wedgef, Ah, Af, 

    Omegah, Omegaf, Ah_POST, Af_POST,


    xh_bar, xf_bar, ah_bar, af_bar,

    rho_afaf, rho_ahah, rho_ahaf, rho_afah, 

    rho_ahxh, rho_ahxf, rho_afxf, rho_afxh,
           
    rho_xhxh, rho_xfxf, rho_xhxf, rho_xfxh, 
           
    rho_xhah, rho_xfaf, rho_xhaf, rho_xfah, 
                      
    ahah, xhxh, afaf, xfxf;


    taulf = 0; taucf = 0; taulh = taulf; tauch = taucf;

    Rf_ss = (0.99*(1.028^(1/4)))^(-1); Rh_ss = (0.99*(1.032^(1/4)))^(-1); 

    ups = 0.45; sig = 2; omega = 1.15; beta = 0.99;

    zf  =  0.144501202784941; zh  =  0.103706370503006;

    DRSf  = 1-0.64*(1+(23/100));  DRSh = 1-0.64*(1+(35/100));

    phif  =  0.14505; phih  =  0.2259;

    xf_bar =  3.6549 ; af_bar = 0.189; nuf =  3.786;

    xh_bar =  2.3578;  ah_bar =  0.17355; nuh =  7.797;

    phi_inf = 1.5; phi_y   = 0.5/4; infh_ss  = 1.028^(1/4); inff_ss  = 1.032^(1/4);

    yh_ss  = 0.129176249015053; yf_ss  = 0.129176249015053;

    wedgef =(1-taulf)/(1+taucf);  wedgeh =(1-taulh)/(1+tauch);
    
    Ah  =  nuh/(1-zh);  Af  =  nuf/(1-zf);

    Omegah  = (log((2/zh)-1))*(1/2)*(1/(1-zh)); Omegaf  = (log((2/zf)-1))*(1/2)*(1/(1-zf));
    
    Ah_POST = Omegah*zh*Ah; Af_POST = Omegaf*zf*Af; v = (omega*sig)-1;


rho_ahah        = 0.88*1;
rho_ahxh        = 0*1;
rho_ahaf        = 0.06*1;
rho_ahxf        = 0*1;

rho_xhah        = -0.45*1;
rho_xhxh        = 0.96*1;
rho_xhaf        = -0.18*1;
rho_xhxf        = -0.02*1;

rho_afah        = rho_ahaf;
rho_afxh        = 0;
rho_afaf        = rho_ahah;
rho_afxf        = 0;

rho_xfah        = rho_xhaf;
rho_xfxh        = rho_xhxf;
rho_xfaf        = rho_xhah;
rho_xfxf        = rho_xhxh;


ahah  = (1-rho_ahah)*log(ah_bar)-rho_ahxh*log(xh_bar)-rho_ahaf*log(af_bar)-rho_ahxf*log(xf_bar);
xhxh  = (1-rho_xhxh)*log(xh_bar)-rho_xhah*log(ah_bar)-rho_xhaf*log(af_bar)-rho_xhxf*log(xf_bar);
afaf  = (1-rho_afaf)*log(af_bar)-rho_afah*log(ah_bar)-rho_afxh*log(xh_bar)-rho_afxf*log(xf_bar);
xfxf  = (1-rho_xfxf)*log(xf_bar)-rho_xfah*log(ah_bar)-rho_xfxh*log(xh_bar)-rho_xfaf*log(af_bar);


model;

% TAYLOR %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

exp(ch(+1)) = (exp(ch))*beta*(exp(Rh)/exp(infh(+1)))^(1/sig);

exp(Rh) = (Rh_ss)*((exp(infhPOST)/infh_ss)^phi_inf)*((exp(yh)/yh_ss)^phi_y);

exp(infh) = exp(infhh)*((1 + phih*(exp(gammah)^(1-omega)))/(1 + phih*(exp(gammah(-1))^(1-omega))))^(1/(1-omega));

exp(infhPOST) = exp(infhhPOST)*((1 + phih*(exp(BIGgammah)^(1-omega)))/(1 + phih*(exp(BIGgammah(-1))^(1-omega))))^(1/(1-omega));

exp(ABCh) = ( Omegah*zh + ((1-(Omegah*zh))*(exp(lh(-1))^(DRSh + 1/ups))*(exp(Rh(-1)/exp(ah(-1))))*exp(xh(-1))*exp(ch(-1)))/(wedgeh*(1-DRSh)) );

exp(infhhPOST)*exp(ABCh(-1)) = exp(infhh)*exp(ABCh);
 

exp(cf(+1)) = (exp(cf))*beta*(exp(Rf)/exp(inff(+1)))^(1/sig);

exp(Rf) = (Rf_ss)*((exp(inffPOST)/inff_ss)^phi_inf)*((exp(yf)/yf_ss)^phi_y);

exp(inff) = exp(infff)*((1 + phif*(exp(gammaf)^(omega-1)))/(1 + phif*(exp(gammaf(-1))^(omega-1))))^(1/(1-omega));

exp(inffPOST) = exp(infffPOST)*((1 + phif*(exp(BIGgammaf)^(omega-1)))/(1 + phif*(exp(BIGgammaf(-1))^(omega-1))))^(1/(1-omega));

exp(ABCf) = ( Omegaf*zf + ((1-(Omegaf*zf))*(exp(lf(-1))^(DRSf + 1/ups))*(exp(Rf(-1)/exp(af(-1))))*exp(xf(-1))*exp(cf(-1)))/(wedgef*(1-DRSf)) );

exp(infffPOST)*exp(ABCf(-1)) = exp(infff)*exp(ABCf);


0   =  exp(BIGgammaf)*( exp(af)*Af_POST*wedgef + exp(Rf)*(1/(exp(ToL)*(exp(ah)/exp(af))))*((exp(lh)^DRSh)*(exp(lf)^(1/ups)))/(1-DRSh) ) - exp(af)*Af_POST*wedgef - (exp(Rf)*((exp(lf)^DRSf)*(exp(lf)^(1/ups)))/(1-DRSf));

0   =  exp(BIGgammah)*(exp(ah)*Ah_POST*wedgeh + (exp(Rh))*((exp(lh)^DRSh)*(exp(lh)^(1/ups)))/(1-DRSh)) - exp(ah)*Ah_POST*wedgeh - ((exp(Rh))*((exp(lf)^DRSf)*(exp(lh)^(1/ups)))/(1-DRSf))*exp(ToL)*(exp(ah)/exp(af));

% MODEL %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

exp(yh)  = exp(ah)*exp(lh)^(1-DRSh);

exp(yf)  = exp(af)*exp(lf)^(1-DRSf);
	
exp(yh)  = exp(chh)+exp(cfh);

exp(yf)  = exp(cff)+exp(chf);
	
exp(ToL) = ((1-taulh)/(1-taulf))*((exp(Rf))/(exp(Rh)))*(exp(xf)/exp(xh))*(exp(lf)/exp(lh))^(1/ups);


0   =  (exp(xh)^omega)*exp(chh)*( Ah + ((exp(Rh))/(exp(ah)*wedgeh))*((exp(lh)^DRSh)*(exp(lh)^(1/ups)))/(1-DRSh) )^omega - exp(ch)^(-v);
   
0   =  (exp(xf)^omega)*exp(cff)*( Af + ((exp(Rf))/(exp(af)*wedgef))*((exp(lf)^DRSf)*(exp(lf)^(1/ups)))/(1-DRSf) )^omega - exp(cf)^(-v);

0   =  (exp(gammah)^omega)*exp(chf) - phih*exp(chh);

0   =  exp(cfh) - phif*(exp(gammaf)^omega)*exp(cff);

0   =  exp(ch)^((omega-1)/omega) - exp(chh)^((omega-1)/omega) - (phih^(1/omega))*exp(chf)^((omega-1)/omega);

0   =  exp(cf)^((omega-1)/omega) - (phif^(1/omega))*exp(cfh)^((omega-1)/omega) - exp(cff)^((omega-1)/omega);

0   =  exp(gammah)*(exp(ah)*Ah*wedgeh + (exp(Rh))*((exp(lh)^DRSh)*(exp(lh)^(1/ups)))/(1-DRSh)) - exp(ah)*Ah*wedgeh - ((exp(Rh))*((exp(lf)^DRSf)*(exp(lh)^(1/ups)))/(1-DRSf))*exp(ToL)*(exp(ah)/exp(af));

0   =  exp(gammaf)*( exp(af)*Af*wedgef + exp(Rf)*(1/(exp(ToL)*(exp(ah)/exp(af))))*((exp(lh)^DRSh)*(exp(lf)^(1/ups)))/(1-DRSh) ) - exp(af)*Af*wedgef - (exp(Rf)*((exp(lf)^DRSf)*(exp(lf)^(1/ups)))/(1-DRSf));

0   = exp(loph)*( exp(ah)*Ah*wedgeh + (exp(Rh))*((exp(lh)^DRSh)*(exp(lh)^(1/ups)))/(1-DRSh))  - (exp(ah)*Af*wedgef*exp(ToL)*((exp(Rh))/(exp(Rf)))*((exp(lh)/exp(lf))^(1/ups)) + (exp(Rh))*((exp(lh)^DRSh)*(exp(lh)^(1/ups)))/(1-DRSh));
 
0   = exp(lopf)*( exp(af)*wedgeh*Ah*(1/exp(ToL))*((exp(Rf))/(exp(Rh)))*((exp(lf)/exp(lh))^(1/ups)) + (exp(Rf))*((exp(lf)^DRSf)*(exp(lf)^(1/ups)))/(1-DRSf)) - (exp(af)*wedgef*Af + (exp(Rh))*((exp(lf)^DRSf)*(exp(lf)^(1/ups)))/(1-DRSf));


ah  = rho_ahah*(ah(-1)) + rho_ahxh*(xh(-1)) + rho_ahaf*(af(-1)) + rho_ahxf*(xf(-1)) + ahah + e_ah;

xh  = rho_xhah*(ah(-1)) + rho_xhxh*(xh(-1)) + rho_xhaf*(af(-1)) + rho_xhxf*(xf(-1)) + xhxh + e_xh;

af  = rho_afah*(ah(-1)) + rho_afxh*(xh(-1)) + rho_afaf*(af(-1)) + rho_afxf*(xf(-1)) + afaf + e_af;

xf  = rho_xfah*(ah(-1)) + rho_xfxh*(xh(-1)) + rho_xfaf*(af(-1)) + rho_xfxf*(xf(-1)) + xfxf + e_xf;

exp(ToT) = exp(gammah)/exp(loph);

% RER %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

0   =  exp(ReR) - exp(BIGloph)*exp(BIGgammaf)*((1 + phif*(exp(BIGgammaf)^(omega-1)))/(1 + phih*(exp(BIGgammah)^(1-omega))))^(1/(1-omega));

0   =  exp(BIGloph)*( exp(ah)*Ah_POST*wedgeh + (exp(Rh))*((exp(lh)^DRSh)*(exp(lh)^(1/ups)))/(1-DRSh))  - (exp(ah)*Af_POST*wedgef*exp(ToL)*((exp(Rh))/(exp(Rf)))*((exp(lh)/exp(lf))^(1/ups)) + (exp(Rh))*((exp(lh)^DRSh)*(exp(lh)^(1/ups)))/(1-DRSh));


exp(change_ReR) = exp(ReR)/exp(ReR(-1));

exp(change_ex_rate) = (exp(ReR)/exp(ReR(-1)))*(exp(infh)/exp(inff));


end;
 
initval;


lh =  -0.446150439947484;
lf =  -0.400435626956777;
ch =  -1.144037601534278;
cf =  -1.285984827825912;
chh =  -2.334863038128629;
chf =  -3.993968147891584;
cfh =  -3.853164410886043;
cff =  -2.124665710463556;
gammah =   0.142868545212313;
gammaf =   0.168481723326864;
ToL =   0.530740253158457;
ToT =   0.320909610919831;
loph =  -0.178041065707518;
lopf =  -0.152427887592968;
yh =  -2.197439976621825;
yf =  -2.066443890879272;
ah =  -1.751289536674342;
af =  -1.666008263922495;
xh =   0.857728980875890;
xf =   1.296068733046335;

end;

shocks;

var e_ah; stderr 0.0061*1;
var e_af; stderr 0.0061*1;
var e_xh; stderr 0.03*1;
var e_xf; stderr 0.03*1;


corr e_ah, e_af = 0.385*1;  
corr e_xh, e_xf = 0.48*1;  

corr e_ah, e_xh = -0.54*1;  
corr e_af, e_xf = -0.54*1;  

corr e_ah, e_xf = -0.34*1;  
corr e_af, e_xh = -0.34*1;   

end;



shocks;

var e_ah; stderr 0.0061*1;
var e_af; stderr 0.0061*1;
var e_xh; stderr 0.03*1;
var e_xf; stderr 0.03*1;


corr e_ah, e_af = 0.385*1;  
corr e_xh, e_xf = 0.48*1;  

corr e_ah, e_xh = -0.54*1;  
corr e_af, e_xf = -0.54*1;  

corr e_ah, e_xf = -0.34*1;  
corr e_af, e_xh = -0.34*1;   

end;

stoch_simul(ar=1, order = 1, IRF=0, hp_filter=1600) ch cf yh yf Rh Rf ToT ReR change_ReR change_ex_rate;
