   Q_IRF_T_Rule=xlsread('QUART_RESPONSES_T_Rule.xlsx');

   Z=Q_IRF_T_Rule';

   
   figure (1)
   x=20;
   t=1:1:x;
 
   
   annotation('textbox', [0.45 0.905 0.1 0.1], 'string', 'Technology Shock','LineStyle','none','FontSize',16,'FontWeight','bold')
   annotation('textbox', [0.45 0.43 0.1 0.1], 'string', 'Preference Shock','LineStyle','none','FontSize',16,'FontWeight','bold')
   
   
   subplot(2,5,1)
   plot(t,Z(1:x,1),'-','color',[0 0 1])   %
   hold on
   plot(t,Z(1:x,2),'--','color',[1 0 0])   %
   hold off
   grid on
   title('Consumption (c)','FontWeight','normal','FontSize',12);
   xlabel('Years after the shock','FontWeight','normal','FontSize',9);
   ylabel('% deviation from steady state','FontWeight','normal','FontSize',9);
   legend('EU (Home)','US (Foreign)');
   legend('boxoff');
   
   subplot(2,5,2)
   plot(t,Z(1:x,3),'-','color',[0 0 1])   %
   hold on
   plot(t,Z(1:x,4),'--','color',[1 0 0])   %
   hold off
   grid on
   title('Output (y)','FontWeight','normal','FontSize',12);
   
   
   subplot(2,5,3)
   plot(t,Z(1:x,5),'-','color',[0 0 1])   %
   hold on
   plot(t,Z(1:x,6),'--','color',[1 0 0])   %
   hold off
   grid on
   title('Interest Rate (R)','FontWeight','normal','FontSize',12);
  
   
   subplot(2,5,4)
   plot(t,Z(1:x,7),'-','color',[0 0 1])   %
   hold on
   plot(t,Z(1:x,8),'--','color',[1 0 0])   %
   hold off
   grid on
   title('LOP Gap (\psi)','FontWeight','normal','FontSize',12);
   
   
   subplot(2,5,5)
   plot(t,Z(1:x,9),'-.','color',[0 0 0])  %
   hold on
   plot(t,Z(1:x,10),'-','color',[0 0 1]) 
   plot(t,Z(1:x,26),'--','color',[1 0 0])  %
   hold off
   grid on
   title('Terms of Trade (\rho)','FontWeight','normal','FontSize',12);
   legend('\rho','a (EU technology)','a* (US technology)'); 
   legend('boxoff');
   
   
   
   
   
   
   subplot(2,5,6)
   plot(t,-Z(1:x,11),'-','color',[0 0 1])   %
   hold on
   plot(t,-Z(1:x,12),'--','color',[1 0 0])   %
   hold off
   grid on
   xlabel('Years after the shock','FontWeight','normal','FontSize',9);
   ylabel('% deviation from steady state','FontWeight','normal','FontSize',9);
   title('Consumption (c)','FontWeight','normal','FontSize',12);
   legend('EU (Home)','US (Foreign)');
   legend('boxoff');

   
   subplot(2,5,7)
   plot(t,-Z(1:x,13),'-','color',[0 0 1])   %
   hold on
   plot(t,-Z(1:x,14),'--','color',[1 0 0])   %
   hold off
   grid on
   title('Output (y)','FontWeight','normal','FontSize',12);
   
   
   subplot(2,5,8)
   plot(t,-Z(1:x,15),'-','color',[0 0 1])   %
   hold on
   plot(t,-Z(1:x,16),'--','color',[1 0 0])   %
   hold off
   grid on
   title('Interest Rate (R)','FontWeight','normal','FontSize',12);
  
   
   subplot(2,5,9)
   plot(t,-Z(1:x,17),'-','color',[0 0 1])   %
   hold on
   plot(t,-Z(1:x,18),'--','color',[1 0 0])   %
   hold off
   grid on
   title('LOP Gap (\psi)','FontWeight','normal','FontSize',12);

   
   
   subplot(2,5,10)
   plot(t,-Z(1:x,19),'-.','color',[0 0 0])  %
   hold on
   plot(t,-Z(1:x,20),'-','color',[0 0 1])   %
   plot(t,-Z(1:x,30),'--','color',[1 0 0])  %
   hold off
   grid on
   title('Terms of Trade (\rho)','FontWeight','normal','FontSize',12);
   legend('\rho','\theta (EU preferences)','\theta* (US preferences)'); 
   legend('boxoff');

  