function f = steady_state(x)

% Global variables

global ch_ss cf_ss chh_ss chf_ss cff_ss cfh_ss 

global gammah_ss gammaf_ss loph_ss lopf_ss 

global ToL_ss

global lh_ss lf_ss

global Rf_ss Rh_ss infh_ss inff_ss beta

global ups sig omega v

global DRSh DRSf phih phif zh zf nuh nuf

global taulh taulf tauch taucf

global wedgeh wedgef Ah Af 

global ah_ss af_ss thetah_ss thetaf_ss 

global muhh_ss muhf_ss mufh_ss muff_ss

% Variables we make guesses for

ch_ss          =  x(1);  % 
cf_ss          =  x(2);  % 

chh_ss         =  x(3);  % 
chf_ss         =  x(4);  % 

cff_ss         =  x(5);  % 
cfh_ss         =  x(6);  % 

gammah_ss       =  x(7);  % 
gammaf_ss       =  x(8);  % 

loph_ss         =  x(9);  % 
lopf_ss         =  x(10);  % 

 lh_ss           =  x(11);  % 
 lf_ss           =  x(12);  % 

% ToL_ss          =  x(13);  % 
% 
% Rh_ss           =  x(14);  %
% Rf_ss           =  x(15);  %

% THESE NEED TO SUM TO ONE AS A CHECKER ON CALCULATIONS

muhh_ss = (ch_ss/chh_ss)^((1-omega)/omega);

muhf_ss = (phih^(1/omega))*(ch_ss/chf_ss)^((1-omega)/omega);

mufh_ss = (phif^(1/omega))*(cf_ss/cfh_ss)^((1-omega)/omega);

muff_ss = (cf_ss/cff_ss)^((1-omega)/omega);

% Additional Definitions

v    =  (sig*omega)-1;

Ah = nuh/(1-zh);

Af = nuf/(1-zf);

wedgef =(1-taulf)/(1+taucf);

wedgeh =(1-taulh)/(1+tauch);


ToL_ss = ((1-taulh)/(1-taulf))*(Rf_ss/Rh_ss)*(thetaf_ss/thetah_ss)*(lf_ss/lh_ss)^(1/ups);


% Main Equations

f(1)   =  (thetah_ss^omega)*chh_ss*( Ah + (Rh_ss/(ah_ss*wedgeh))*((lh_ss^DRSh)*(lh_ss^(1/ups)))/(1-DRSh) )^omega - ch_ss^(-v);
   
f(2)   =  (thetaf_ss^omega)*cff_ss*( Af + (Rf_ss/(af_ss*wedgef))*((lf_ss^DRSf)*(lf_ss^(1/ups)))/(1-DRSf) )^omega - cf_ss^(-v);

f(3)   =  (gammah_ss^omega)*chf_ss - phih*chh_ss;

f(4)   =  cfh_ss - phif*(gammaf_ss^omega)*cff_ss;

f(5)   =  ch_ss^((omega-1)/omega) - chh_ss^((omega-1)/omega) - (phih^(1/omega))*chf_ss^((omega-1)/omega);

f(6)   =  cf_ss^((omega-1)/omega) - (phif^(1/omega))*cfh_ss^((omega-1)/omega) - cff_ss^((omega-1)/omega);


f(7)   =  gammah_ss*( ah_ss*Ah*wedgeh + Rh_ss*((lh_ss^DRSh)*(lh_ss^(1/ups)))/(1-DRSh) ) - ah_ss*Ah*wedgeh - (Rh_ss*((lf_ss^DRSf)*(lh_ss^(1/ups)))/(1-DRSf))*ToL_ss*(ah_ss/af_ss);

f(8)   =  gammaf_ss*( af_ss*Af*wedgef + Rf_ss*(1/(ToL_ss*(ah_ss/af_ss)))*((lh_ss^DRSh)*(lf_ss^(1/ups)))/(1-DRSh) ) - af_ss*Af*wedgef - (Rf_ss*((lf_ss^DRSf)*(lf_ss^(1/ups)))/(1-DRSf));



f(9)   = loph_ss*( ah_ss*Ah*wedgeh + Rh_ss*((lh_ss^DRSh)*(lh_ss^(1/ups)))/(1-DRSh))  - (ah_ss*Af*wedgef*ToL_ss*(Rh_ss/Rf_ss)*((lh_ss/lf_ss)^(1/ups)) + Rh_ss*((lh_ss^DRSh)*(lh_ss^(1/ups)))/(1-DRSh));
 
f(10)   = lopf_ss*( af_ss*wedgeh*Ah*(1/ToL_ss)*(Rf_ss/Rh_ss)*((lf_ss/lh_ss)^(1/ups)) + Rf_ss*((lf_ss^DRSf)*(lf_ss^(1/ups)))/(1-DRSf)) - (af_ss*wedgef*Af + Rf_ss*((lf_ss^DRSf)*(lf_ss^(1/ups)))/(1-DRSf));


f(11)   =  lh_ss^(1-DRSh) - (chh_ss + cfh_ss)/ah_ss ;

f(12)   = lf_ss^(1-DRSf) - (cff_ss + chf_ss)/af_ss;




f=f';



