
% Calculating the Steady-State

global ch_ss cf_ss chh_ss chf_ss cff_ss cfh_ss 

global gammah_ss gammaf_ss loph_ss lopf_ss 

global ToL_ss

global lh_ss lf_ss

global Rf_ss Rh_ss infh_ss inff_ss beta

global ups sig omega v

global DRSh DRSf phih phif zh zf nuh nuf

global taulh taulf tauch taucf

global wedgeh wedgef Ah Af 

global ah_ss af_ss thetah_ss thetaf_ss 

global Target_Trans_Markup_h Target_Trans_Markup_f

global muhh_ss muhf_ss muff_ss mufh_ss

global LMh6 LMh8 LMh2 LMh5 LMh3 LMh1

global LMf6 LMf8 LMf2 LMf5 LMf3 LMf1


%Two possible calibrations 
parameters_EUUS % used for ss of Table 2 (as reported) and analysis for IRFs and Table 3
%parameters_US  % used fo Table 4



guess=[0.2,0.2,0.1,0.05,0.1,0.05,1,1,1,1,0.6,0.6]; x=fsolve(@steady_state,guess);

Target_Employment_f     =  lf_ss*100;
Target_Employment_h     =  lh_ss*100;

Target_Trans_Markup_f   = (nuf*(zf/(1-zf))*wedgef*af_ss*(1-DRSf)*(Rf_ss^(-1))*((1/lf_ss)^(DRSf + 1/ups)))*100;
Target_Trans_Markup_h   = (nuh*(zh/(1-zh))*wedgeh*ah_ss*(1-DRSh)*(Rh_ss^(-1))*((1/lh_ss)^(DRSh + 1/ups)))*100;

Target_Labor_Share_f   = ((1-DRSf)/(1+(Target_Trans_Markup_f/100)))*100;
Target_Labor_Share_h   = ((1-DRSh)/(1+(Target_Trans_Markup_h/100)))*100;


Target_Shopping_f       = ((cff_ss+cfh_ss)/lf_ss)*100;
Target_Shopping_h       = ((chh_ss+chf_ss)/lh_ss)*100;

Target_Openness_f       =  ((1/gammaf_ss)*cfh_ss/(cff_ss+chf_ss))*100;
Target_Openness_h       =  (gammah_ss*chf_ss/(chh_ss+cfh_ss))*100;

Sigma_h = (1/2)*(zh/((1-zh)^2))*(log((2/zh)-1));

phi_zh = (zh/(((1-zh)^2)*(2-zh)) - Sigma_h^2)^(1/2);

Target_Price_Dispersion_h = phi_zh/( (1/(Target_Trans_Markup_h/100))*(zh/(1-zh)) + Sigma_h )*100 ;


Sigma_f = (1/2)*(zf/((1-zf)^2))*(log((2/zf)-1));

phi_zf = (zf/(((1-zf)^2)*(2-zf)) - Sigma_f^2)^(1/2);

Target_Price_Dispersion_f = phi_zf/( (1/(Target_Trans_Markup_f/100))*(zf/(1-zf)) + Sigma_f )*100 ;

ToT_ss = (gammah_ss)/(loph_ss);

yh_ss  = ah_ss*((lh_ss)^(1-0));

yf_ss  = af_ss*((lf_ss)^(1-0));


format long
    
    lh = log(lh_ss)
    lf = log(lf_ss)
    
    ch = log(ch_ss)
    cf = log(cf_ss)
    chh = log(chh_ss)
    chf = log(chf_ss)
    cfh = log(cfh_ss)
    cff = log(cff_ss)
    
    gammah = log(gammah_ss)
    gammaf = log(gammaf_ss)
    
    ToL = log(ToL_ss)
    ToT = log(ToT_ss)
    
    loph = log(loph_ss)
    lopf = log(lopf_ss)
    
    yh = log(yh_ss)
    yf = log(yf_ss)
    
    ah = log(ah_ss)
    af = log(af_ss)
    xh = log(thetah_ss)
    xf = log(thetaf_ss)
    
    Rh = log(Rh_ss)
    Rf  = log(Rf_ss)
    
    muhh   = log(muhh_ss)
    muhf   = log(muhf_ss)
    muff   = log(muff_ss)
    mufh   = log(mufh_ss)
    
